package com.saye.hrs.mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * (Hospital)表数据库访问层
 *
 * @author makejava
 * @since 2021-09-15 09:38:39
 */
public interface HospitalMapper {

    HashMap<Object,Object> findHospitalById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findHospitalList(HashMap<Object,Object> map);

    int insertHospital(HashMap<Object,Object> map);

    int updateHospital(HashMap<Object,Object> map);
    
    int deleteHospitalById(HashMap<Object,Object> map);

    void updateHospitalAbout(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findHospitalNoticeList(HashMap<Object, Object> map);

    void addHospitalNotice(HashMap<Object, Object> map);

    void updateHospitalNotice(HashMap<Object, Object> map);

    void deleteHospitalNotice(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findHospitalArticleList(HashMap<Object, Object> map);

    void addHospitalArticle(HashMap<Object, Object> map);

    void updateHospitalArticle(HashMap<Object, Object> map);

    void deleteHospitalArticle(HashMap<Object, Object> map);

	void addMedicalGuide(HashMap<Object, Object> map);

	void updateMedicalGuide(HashMap<Object, Object> map);

	void deleteMedicalGuide(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findMedicalGuideList(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findMedicalGuideType();

	List<HashMap<Object, Object>> findHospitalFloorList(HashMap<Object, Object> map);

	void updateHospitalFloor(HashMap<Object, Object> map);

	void deleteHospitalFloor(HashMap<Object, Object> map);

	void addHospitalFloor(HashMap<Object, Object> map);

	void problemFeedback(Map map);

	List<HashMap<Object, Object>> findMessageNotice(HashMap<Object, Object> map);

	void setMessageNoticeRead(Map map);

	List<HashMap<Object, Object>> findMedicalGuideById(HashMap<Object, Object> map);

	void addPayRequest(Map map);

	void updatePayRequestResultText(Map map);

	void setMessageNoticeAllRead(Map map);
}

